From: "Alexys Jacob" <ultrabug@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/carbon/
Date: Fri, 11 Mar 2016 13:17:47 +0000 (UTC) [thread overview]
Message-ID: <1457702238.b09e72716303dd7df9fc92155b0db8041c2533a9.ultrabug@gentoo> (raw)
commit: b09e72716303dd7df9fc92155b0db8041c2533a9
Author: Ultrabug <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 13:17:18 2016 +0000
Commit: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 13:17:18 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b09e7271
dev-python/carbon: version bump
Package-Manager: portage-2.2.28
dev-python/carbon/Manifest | 1 +
dev-python/carbon/carbon-0.9.15.ebuild | 65 ++++++++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/dev-python/carbon/Manifest b/dev-python/carbon/Manifest
index 74c3d2c..17d7890 100644
--- a/dev-python/carbon/Manifest
+++ b/dev-python/carbon/Manifest
@@ -1,3 +1,4 @@
DIST carbon-0.9.12.tar.gz 47450 SHA256 df4b521a449b888fc901d11abffc9e7eb070a8670e341caa0e13ab8f3029cddf SHA512 060b3d20cf2bd95be22fba30a24591361c772edaaaa99117616f4a01a31eab9395d84c5eb835408fac2c1bc36b70950e260d56456879489a9ee3248c6c4e3f33 WHIRLPOOL c6021492dc5ed3c9c4cefe173b1e0592b18e6c2d49e48cd74059c4d3822ea0b2cf253bedc9a67f7fa37dd8944e06835a1da959300e3c6e0f1759622b19b0c61e
DIST carbon-0.9.13.tar.gz 47509 SHA256 75aecd8114435430e06803ebaf1e9cac81f58fb231fc93d8904d667d971ae6cd SHA512 89c843ac67ed4b68c28273459e5a96594851e5d2694fdefdfb71cebcdc6555d4aac8c45c1c6d2ca61a15405bac7ba3d27836470fe152d5d7a4936bb2d00e6776 WHIRLPOOL 40000d912f3881dc4f197e1290d3e0fd092ec23bc6574a97fa31d0ffa77fa651abc4d4da529e45d88d74ea763f18cde20daf5fd70549d6afd38f4c5b88d1becb
DIST carbon-0.9.14.tar.gz 50285 SHA256 e12539ca855f0777e326028a32fbff5022d75b7c3e6fcc7e4704305a650aee9a SHA512 e70275c0acce17287b3036668e45c75b9da9b54523faca0f5bdceda4b6b98c71ebf773740e85063ee3ea4e0bc64adee913bb7f8eab1f7016eb504b06f0b589e3 WHIRLPOOL 998c6a3d0b6cc9aa86cc9b79719e762610cf47012f2eebfd575a6bac3aeb78b64c34e94c5fedc5c88074400920268890e8b84e2f1b32ee4ba24bdd0bef31602d
+DIST carbon-0.9.15.tar.gz 50321 SHA256 f01db6d37726c6fc0a8aaa66a7bf14436b0dd0d62ef3c20ecb31605a4d365d2e SHA512 e8ed8ac9b247d0f5bbe0331de50d929f918ee7968ad5053d2532f4d09e49215eaecae95a79f6b8360aa0f73fc7e68a73d86886e0329b3f5ccb569136658f6562 WHIRLPOOL fe7aa0da11cbf0cd504d4ae48b4ba5e89f4e6c4cb41e46884971769a45077dd09d056c2f1613cfc4a139dd78ecd140b06d2c25b96e8ba9644c4d7b6636649083
diff --git a/dev-python/carbon/carbon-0.9.15.ebuild b/dev-python/carbon/carbon-0.9.15.ebuild
new file mode 100644
index 0000000..ce2b9cb
--- /dev/null
+++ b/dev-python/carbon/carbon-0.9.15.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Backend data caching and persistence daemon for Graphite"
+HOMEPAGE="http://graphite.wikidot.com/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~x64-solaris"
+
+# whisper appears to have been missed from listing in install_requires in setup.py
+RDEPEND="
+ dev-python/twisted-core[${PYTHON_USEDEP}]
+ dev-python/whisper[${PYTHON_USEDEP}]
+ dev-python/txAMQP[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ # Do not install the configuration and data files. We install them
+ # somewhere sensible by hand. Patch for this vn. 0.9.14 has been extended
+ # due to redhat's init scripts set to install unconditionally in setup.py
+ "${FILESDIR}"/${PN}-0.9.14-no-data-files.patch
+ )
+
+python_prepare_all() {
+ # This sets prefix to /opt/graphite. We want FHS-style paths instead.
+ rm setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /etc/carbon
+ doins conf/*
+
+ dodir /var/log/carbon /var/lib/carbon/{whisper,lists,rrd}
+
+ newinitd "${FILESDIR}"/carbon.initd carbon-cache
+ newinitd "${FILESDIR}"/carbon.initd carbon-relay
+ newinitd "${FILESDIR}"/carbon.initd carbon-aggregator
+
+ newconfd "${FILESDIR}"/carbon.confd carbon-cache
+ newconfd "${FILESDIR}"/carbon.confd carbon-relay
+ newconfd "${FILESDIR}"/carbon.confd carbon-aggregator
+}
+
+pkg_postinst() {
+ einfo 'This ebuild installs carbon into FHS-style paths.'
+ einfo 'You will probably have to set GRAPHITE_CONF_DIR to /etc/carbon'
+ einfo 'and GRAPHITE_STORAGE_DIR to /var/lib/carbon to make use of this'
+ einfo '(see /etc/carbon/carbon.conf.example).'
+ einfo ' '
+ einfo 'OpenRC init script supports multiple instances !'
+ einfo 'Example to run an instance b of carbon-cache :'
+ einfo ' ln -s /etc/init.d/carbon-cache /etc/init.d/carbon-cache.b'
+ einfo ' cp /etc/conf.d/carbon-cache /etc/conf.d/carbon-cache.b'
+}
next reply other threads:[~2016-03-11 13:17 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-11 13:17 Alexys Jacob [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-06-16 8:04 [gentoo-commits] repo/gentoo:master commit in: dev-python/carbon/ Michał Górny
2022-06-06 13:12 Fabian Groffen
2022-04-11 7:53 Michał Górny
2022-01-29 12:21 Michał Górny
2021-11-06 11:55 Fabian Groffen
2021-10-17 7:33 Michał Górny
2021-03-04 8:02 Fabian Groffen
2021-03-04 7:58 Fabian Groffen
2020-05-09 10:16 Fabian Groffen
2020-02-04 13:42 Michał Górny
2019-01-23 13:55 Fabian Groffen
2019-01-23 13:55 Fabian Groffen
2018-07-22 16:46 Fabian Groffen
2018-06-12 10:35 Fabian Groffen
2017-04-29 10:42 Fabian Groffen
2017-04-25 18:05 Patrick Lauer
2016-10-27 17:49 Brian Dolbec
2016-01-12 12:49 Fabian Groffen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1457702238.b09e72716303dd7df9fc92155b0db8041c2533a9.ultrabug@gentoo \
--to=ultrabug@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox